Loading...
Searching...
No Matches
ConfigFwd.hpp File Reference
`#include <algorithm>`
`#include <fstream>`
`#include <iostream>`
`#include <memory>`
`#include <string>`
`#include <vector>`
`#include "Error.hpp"`
`#include "StringTools.hpp"`

Go to the source code of this file.

## Classes

struct | CLI::ConfigItem
| Holds values to load into Options. More...
class | CLI::Config
| This class provides a converter for configuration files. More...
class | CLI::ConfigBase
| This converter works with INI/TOML files; to write INI files use ConfigINI. More...
class | CLI::ConfigINI
| ConfigINI generates a "standard" INI compliant output. More...

## Namespaces

namespace | CLI

## Typedefs

using | CLI::ConfigTOML = ConfigBase
| the default Config is the TOML file format